Bug 853055 - Review Request: mqtt-client - A Java MQTT Client
Review Request: mqtt-client - A Java MQTT Client
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Fedora Extras Quality Assurance
:
Depends On: 853050 853052
Blocks: 968136
  Show dependency treegraph
 
Reported: 2012-08-30 08:04 EDT by gil cattaneo
Modified: 2013-06-30 21:34 EDT (History)
4 users (show)

See Also:
Fixed In Version: mqtt-client-1.5-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-29 14:39:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dougsland: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-08-30 08:04:48 EDT
Spec URL: http://gil.fedorapeople.org/mqtt-client.spec
SRPM URL: http://gil.fedorapeople.org/mqtt-client-1.3-1.fc16.src.rpm
Description: mqtt-client provides an ASL 2.0 licensed API to MQTT. It takes care of 
automatically reconnecting to your MQTT server and restoring your client 
session if any network failures occur. Applications can use a blocking 
API style, a futures based API, or a callback/continuations passing API 
style.
Fedora Account System Username: gil
Comment 1 Erik Schilling 2012-08-30 08:39:10 EDT
You srpm looks to be for fc16. but it looks like hawtbuf does not exist here:
https://koji.fedoraproject.org/koji/taskinfo?taskID=4437592
https://koji.fedoraproject.org/koji/taskinfo?taskID=4437591

(I am new to packaging though so i maybe got something wrong).

Best regards,
Erik
Comment 2 Erik Schilling 2012-08-30 08:40:13 EDT
Sorry just saw this request: https://bugzilla.redhat.com/show_bug.cgi?id=853050
Comment 3 gil cattaneo 2013-06-04 08:33:21 EDT
Spec URL: http://gil.fedorapeople.org/mqtt-client.spec
SRPM URL: http://gil.fedorapeople.org/mqtt-client-1.5-1.fc18.src.rpm

- update to 1.5
Comment 4 Douglas Schilling Landgraf 2013-06-08 19:17:24 EDT
Reviewed manually + fedora-review tool 0.4.1 b2e211f

[OK] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review

Rpmlint
-------
Checking: mqtt-client-1.5-1.fc18.noarch.rpm
          mqtt-client-javadoc-1.5-1.fc18.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint mqtt-client-javadoc mqtt-client
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[OK] MUST: The package must be named according to the Package Naming Guidelines

[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec

[OK] MUST: The package must meet the Packaging Guidelines

[OK] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

[OK] MUST: The License field in the package spec file must match the actual license.

[OK] MUST: The spec file must be written in American English.

[OK] MUST: The spec file for the package MUST be legible

[OK] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

 CHECKSUM(SHA256) this package     : 65f26569e488412545b209816132a4ed9eec4c89098b612d35056b1e856d9f6c
  CHECKSUM(SHA256) upstream package : 65f26569e488412545b209816132a4ed9eec4c89098b612d35056b1e856d9f6c

[OK] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture

[OK] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

[OK] MUST: Packages must NOT bundle copies of system libraries.[

[OK] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. 

[OK] MUST: Permissions on files must be set properly. 

[OK] MUST: Each package must consistently use macros. 

[OK] MUST: The package must contain code, or permissable content. 

[OK] MUST: If a package includes something as %doc, it must not affect the runtime of the application.

[OK] MUST: All filenames in rpm packages must be valid UTF-8

Java:
========
[OK]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[OK]: Fully versioned dependency in subpackages, if present.
[OK]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[OK]: Javadoc subpackages should not have Requires: jpackage-utils
[OK]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[OK]: Bundled jar/class files should be removed before build
[OK]: Packages are noarch unless they use JNI

Maven:
[OK]: Old add_to_maven_depmap macro is not being used
[OK]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[OK]: Package DOES NOT use %update_maven_depmap in %post/%postun
[OK]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Should:
[OK]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[OK]: Sources can be downloaded from URI in Source: tag
[OK]: Reviewer should test that the package builds in mock.
[OK]: Buildroot is not present
[OK]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[OK]: Dist tag is present.
[OK]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[OK]: SourceX tarball generation or download is documented.
[OK]: SourceX is a working URL.
[OK]: Spec use %global instead of %define.

Suggestion:
==========
- Maven packages should use new style packaging
  Note: If possible update your package to latest guidelines
  See: https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven

Final status: APPROVED.
Comment 5 gil cattaneo 2013-06-09 02:15:20 EDT
thanks!

New Package SCM Request
=======================
Package Name: mqtt-client
Short Description: A Java MQTT Client
Owners: gil
Branches: f18 f19
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2013-06-10 07:45:12 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-06-20 06:12:56 EDT
mqtt-client-1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mqtt-client-1.5-1.fc19
Comment 8 Fedora Update System 2013-06-20 06:24:45 EDT
mqtt-client-1.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mqtt-client-1.5-1.fc18
Comment 9 Fedora Update System 2013-06-20 14:01:22 EDT
mqtt-client-1.5-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 10 Fedora Update System 2013-06-29 14:39:43 EDT
mqtt-client-1.5-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-06-30 21:34:11 EDT
mqtt-client-1.5-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.